<div [formGroup]="form">
  <div class="row mb-2">
      <h3>Vakvaardigheid <a type="button" class="btn btn-outline-secondary btn-sm mt-1 " (click)="addVakvaardigheid()">
        <add-item-svg></add-item-svg>
      </a></h3>
  </div>
  <div>
    <div formArrayName="vakvaardigheid" *ngFor="let vakvaardigheidControl of t.controls; let i=index">
      <div [formGroupName]="i">

        <div class="row mb-3">
          <div class="col-8">

            <label>Omschrijving vakvaardigheid <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De naamgeving van een handeling die in een bepaalde mate bekwaam uitgevoerd kan worden." tooltipClass="custom" for="clicked"></i></label>
            <div class="input-group mb-3">
              <textarea class="form-control" [formControl]='$any(vakvaardigheidControl).get("omschrijving")'
                        [ngClass]='vakvaardigheidControl.get("omschrijving")?.touched &&
                         vakvaardigheidControl.get("omschrijving")?.invalid ? "is-invalid" : "" '></textarea>

              <button type="button" class="btn btn-outline-danger" (click)="removeVakvaardigheid(i)">
                <remove-item-svg></remove-item-svg>
              </button>

              <div class="invalid-feedback">
                Kies een correcte omschrijving vakvaardigheid.
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
